中国Linux公社论坛's Archiver

bryantchp 发表于 2008-9-3 00:38

问一个和内核有关的问题LD_KERNEL_ASSUME

这个问题起因是一个软件的安装,安装一个气动力计算的软件MGAERO,需要使用license。而我在内核2.6.18的CentOS
中安装,运行liecese管理器出现symbol errno, version GLIBC_2.0 not defined in file libc.so.6 with link time reference
我知道这是线程库的问题,我glibc版本是2.5,好象是高了,不支持低的,于是用定义环境LD_KERNEL_ASSUME=2.4.1到glibc2.3.2对应的内核版本,但是仍然出现问题,error while loading shared libraries: libc.so.6: cannot open shared object file: No such file or directory。
为什么这样定义了LD_KERNEL_ASSUME还是没有用?

页: [1]

Powered by Discuz! Archiver 6.1.0F  © 2001-2007 Comsenz Inc.